﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using VeryPDF;
using System.IO;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            string appPath = Path.GetDirectoryName(Application.ExecutablePath);
            {
                System.Type VeryPDFType = System.Type.GetTypeFromProgID("VeryPDF.PaperToolsCom");
                VeryPDF.PaperToolsCom VeryPDFCom = (VeryPDF.PaperToolsCom)System.Activator.CreateInstance(VeryPDFType);

                string appFolder = Path.GetDirectoryName(Application.ExecutablePath);
                string strFolder = Directory.GetParent(appFolder).FullName;

                string strReturn = "";
                int nFileIndex = 0;
                VeryPDFCom.EnableDebugLog(true);

                string strInFile = strFolder + "\\sample\\test_table_ocr.tif";
                string strOutFile = strFolder + "\\sample\\output\\_output_" + nFileIndex.ToString() + ".png";
                string strCmd = "-$ XXXXXXXXXXXXXXXXXX -removelongline 0 -boxobjects \"" + strInFile + "\" \"" + strOutFile + "\"";
                strReturn = strReturn + VeryPDFCom.PaperTools(strCmd);
                nFileIndex = nFileIndex + 1;

                strInFile = strFolder + "\\sample\\test_black_border1.jpg";
                strOutFile = strFolder + "\\sample\\output\\_output_" + nFileIndex.ToString() + ".tif";
                strCmd = "-$ XXXXXXXXXXXXXXXXXX -removelongline 0 \"" + strInFile + "\" \"" + strOutFile + "\"";
                strReturn = strReturn + VeryPDFCom.PaperTools(strCmd);
                nFileIndex = nFileIndex + 1;

                strInFile = strFolder + "\\sample\\test_despeckle.tif";
                strOutFile = strFolder + "\\sample\\output\\_output_" + nFileIndex.ToString() + ".tif";
                strCmd = "-$ XXXXXXXXXXXXXXXXXX -removeshortline 5 \"" + strInFile + "\" \"" + strOutFile + "\"";
                strReturn = strReturn + VeryPDFCom.PaperTools(strCmd);
                nFileIndex = nFileIndex + 1;

                strInFile = strFolder + "\\sample\\test_despeckle.tif";
                strOutFile = strFolder + "\\sample\\output\\_output_" + nFileIndex.ToString() + ".tif";
                strCmd = "-$ XXXXXXXXXXXXXXXXXX -removeshortline 3 -removelongline 0 \"" + strInFile + "\" \"" + strOutFile + "\"";
                strReturn = strReturn + VeryPDFCom.PaperTools(strCmd);
                nFileIndex = nFileIndex + 1;

                strInFile = strFolder + "\\sample\\test_line.png";
                strOutFile = strFolder + "\\sample\\output\\_output_" + nFileIndex.ToString() + ".tif";
                strCmd = "-$ XXXXXXXXXXXXXXXXXX -removelongline 200 \"" + strInFile + "\" \"" + strOutFile + "\"";
                strReturn = strReturn + VeryPDFCom.PaperTools(strCmd);
                nFileIndex = nFileIndex + 1;

                strInFile = strFolder + "\\sample\\test_table_ocr.tif";
                strOutFile = strFolder + "\\sample\\output\\_output_" + nFileIndex.ToString() + ".tif";
                strCmd = "-$ XXXXXXXXXXXXXXXXXX -removelongline 100 \"" + strInFile + "\" \"" + strOutFile + "\"";
                strReturn = strReturn + VeryPDFCom.PaperTools(strCmd);
                nFileIndex = nFileIndex + 1;
    
                strInFile = strFolder + "\\sample\\test_skew.tif";
                strOutFile = strFolder + "\\sample\\output\\_output_" + nFileIndex.ToString() + ".tif";
                strCmd = "-$ XXXXXXXXXXXXXXXXXX -removelongline 0 \"" + strInFile + "\" \"" + strOutFile + "\"";
                strReturn = strReturn + VeryPDFCom.PaperTools(strCmd);
                nFileIndex = nFileIndex + 1;

                strInFile = strFolder + "\\sample\\test_negative.png";
                strOutFile = strFolder + "\\sample\\output\\_output_" + nFileIndex.ToString() + ".tif";
                strCmd = "-$ XXXXXXXXXXXXXXXXXX -deskew -skewrange 45 \"" + strInFile + "\" \"" + strOutFile + "\"";
                strReturn = strReturn + VeryPDFCom.PaperTools(strCmd);
                nFileIndex = nFileIndex + 1;

                strInFile = strFolder + "\\sample\\test_negative.png";
                strOutFile = strFolder + "\\sample\\output\\_output_" + nFileIndex.ToString() + ".tif";
                strCmd = "-$ XXXXXXXXXXXXXXXXXX -deskew2 \"" + strInFile + "\" \"" + strOutFile + "\"";
                strReturn = strReturn + VeryPDFCom.PaperTools(strCmd);
                nFileIndex = nFileIndex + 1;

                strInFile = strFolder + "\\sample\\test_despeckle.tif";
                strOutFile = strFolder + "\\sample\\output\\_output_" + nFileIndex.ToString() + ".tif";
                strCmd = "-$ XXXXXXXXXXXXXXXXXX -despeckle \"" + strInFile + "\" \"" + strOutFile + "\"";
                strReturn = strReturn + VeryPDFCom.PaperTools(strCmd);
                nFileIndex = nFileIndex + 1;

                strInFile = strFolder + "\\sample\\test_despeckle.tif";
                strOutFile = strFolder + "\\sample\\output\\_output_" + nFileIndex.ToString() + ".tif";
                strCmd = "-$ XXXXXXXXXXXXXXXXXX -despeckle2 -specklesize 20 \"" + strInFile + "\" \"" + strOutFile + "\"";
                strReturn = strReturn + VeryPDFCom.PaperTools(strCmd);
                nFileIndex = nFileIndex + 1;

                strInFile = strFolder + "\\sample\\test_despeckle.tif";
                strOutFile = strFolder + "\\sample\\output\\_output_" + nFileIndex.ToString() + ".tif";
                strCmd = "-$ XXXXXXXXXXXXXXXXXX -removeborder -fuzz 50 \"" + strInFile + "\" \"" + strOutFile + "\"";
                strReturn = strReturn + VeryPDFCom.PaperTools(strCmd);
                nFileIndex = nFileIndex + 1;

                strInFile = strFolder + "\\sample\\test_black_border1.jpg";
                strOutFile = strFolder + "\\sample\\output\\_output_" + nFileIndex.ToString() + ".tif";
                strCmd = "-$ XXXXXXXXXXXXXXXXXX -removeborder -fuzz 80 \"" + strInFile + "\" \"" + strOutFile + "\"";
                strReturn = strReturn + VeryPDFCom.PaperTools(strCmd);
                nFileIndex = nFileIndex + 1;

                strInFile = strFolder + "\\sample\\test_black_border1.jpg";
                strOutFile = strFolder + "\\sample\\output\\_output_" + nFileIndex.ToString() + ".tif";
                strCmd = "-$ XXXXXXXXXXXXXXXXXX -trimmargin -fuzz 80 \"" + strInFile + "\" \"" + strOutFile + "\"";
                strReturn = strReturn + VeryPDFCom.PaperTools(strCmd);
                nFileIndex = nFileIndex + 1;

                strInFile = strFolder + "\\sample\\test_black_border1.jpg";
                strOutFile = strFolder + "\\sample\\output\\_output_" + nFileIndex.ToString() + ".tif";
                strCmd = "-$ XXXXXXXXXXXXXXXXXX -trimmargin \"" + strInFile + "\" \"" + strOutFile + "\"";
                strReturn = strReturn + VeryPDFCom.PaperTools(strCmd);
                nFileIndex = nFileIndex + 1;

                strInFile = strFolder + "\\sample\\test_table_ocr.tif";
                strOutFile = strFolder + "\\sample\\output\\_output_" + nFileIndex.ToString() + ".tif";
                strCmd = "-$ XXXXXXXXXXXXXXXXXX -trimmargin -trimcolor FFFFFF -fuzz 100 \"" + strInFile + "\" \"" + strOutFile + "\"";
                strReturn = strReturn + VeryPDFCom.PaperTools(strCmd);
                nFileIndex = nFileIndex + 1;

                strInFile = strFolder + "\\sample\\test_table_ocr.tif";
                strOutFile = strFolder + "\\sample\\output\\_output_" + nFileIndex.ToString() + ".tif";
                strCmd = "-$ XXXXXXXXXXXXXXXXXX -ocr -boxpic \"" + strInFile + "\" \"" + strOutFile + "\"";
                strReturn = strReturn + VeryPDFCom.PaperTools(strCmd);
                nFileIndex = nFileIndex + 1;

                strInFile = strFolder + "\\sample\\test_table_ocr.tif";
                strOutFile = strFolder + "\\sample\\output\\_output_" + nFileIndex.ToString() + ".tif";
                strCmd = "-$ XXXXXXXXXXXXXXXXXX -layout \"" + strInFile + "\" \"" + strOutFile + "\"";
                strReturn = strReturn + VeryPDFCom.PaperTools(strCmd);
                nFileIndex = nFileIndex + 1;

                MessageBox.Show(strReturn);
            }
        }
    }
}
